<?php

/**
 * Content Elements
 */
$GLOBALS['TL_CTE']['extendedcolset'] = array(
	'colsStart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsStart',
	'colsPart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsPart',
	'colsEnd' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsEnd'
);

/**
 * Form Fields
 */
 $GLOBALS['TL_FFL']['formcolsStart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsStart';
 $GLOBALS['TL_FFL']['formcolsPart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsPart';
 $GLOBALS['TL_FFL']['formcolsEnd'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsEnd';

/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['clipboardCopy'][] = array('creocode.columns.listeners.component', 'clipboardCopy');
$GLOBALS['TL_HOOKS']['clipboardCopyAll'][] = array('creocode.columns.listeners.component', 'clipboardCopyAll');


/**
 * Wrapper Elements
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'colsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'colsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'colsEnd';

/**
 * Warpper Elements / Form
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'formcolsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'formcolsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'formcolsEnd';

/**
 * Frameworks
 **/
$GLOBALS['TL_SUBCL'] = array(
    'flexbox' => array(
        'label' => 'Custom Flexbox',
        'scclass' => 'row',
        'inside' => true,
        'gap' => true
    )
);

// css & js
if (TL_MODE == 'FE') {
    $GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/flexboxgrid/flexboxgrid.min.css|static';
}

if (TL_MODE == 'BE') {
    //$GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/flexboxgrid/flexboxgrid.min.css|static';
    //$GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/backend.css|static';
    //$GLOBALS['TL_JAVASCRIPT'][] = 'bundles/contaocolumns/js/backend.js|async';
}
